<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Event Cats                                              |
// | Plugin Version : 1.0                                                  |
// | File Version : 1.0                                                    |
// | Plugin Version author : LucMorizur                                    |
// | Plugin description : (plugin for Piwigo, http://piwigo.org )          |
// | This plugin allows an account to be automatically logged in ; and to  |
// | let users duplicate the account they are logged with, to get benefits |
// | of the groups of the previous account, immediately on their new acc.  |
// | Ce plugin permet d'identifier automatiquement un compte ; et permet à |
// | un utilisateur de dupliquer un compte, pour que le nouveau compte     |
// | bénéficie immédiatement de l'affectation aux groupes de l'ancien cpte |
// +-----------------------------------------------------------------------+

// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Keeps file coded in UTF-8 without BOM : é

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $conf, $page, $ec_lists, $ec_conf_possible_values;

/****************************************************************************/

build_ec_duplicable_codes();

$ec_default_action = ($page['tab'] == 'autolog_modif') ?
 'modify_entry_ask' : 'create_ask';
$ec_default_entry  = '-1';
$ec_def_auto_code_dg_nb = read_ec_conf('auto_code_dg_nb');

/*****************************************************************************
* $_GET and $_POST analysis.                                                 *
*****************************************************************************/

if (isset($_POST['ec_act1']) and isset($_POST['ec_entry_sel'])) {
  if (
    array_key_exists($_POST['ec_entry_sel'], $ec_lists['ec_table']) or
    $_POST['ec_entry_sel'] == '-1' or
    $_POST['ec_act1'] == 'delete' // occurs when last entry is deleted
  ) {
    switch ($_POST['ec_act1']) {
      case 'duplicate_entry_submit': // submit failed
      case 'modify_entry_submit':    // submit failed
      case 'duplicate_entry_ask':
      case 'modify_entry_ask':
      case 'create_ask':
      case 'disable':
      case 'create':
        $ec_default_action = $_POST['ec_act1'];
        $ec_default_entry  = $_POST['ec_entry_sel'];
      break;
      case 'delete':
        $ec_default_action = 'create';
        $ec_default_entry  = '-1';
      break;
      default:
        $page['errors'][] =
         'Bad argument : $_POST[\'ec_act1\'] = '.$_POST['ec_act1'];
    }
  }
  else
   $page['errors'][] =
    'Entry doesn\'t exist ($_POST[\'ec_entry_sel\'] = '.
    $_POST['ec_entry_sel'].')';
}

/****************************************************************************/

$template->assign('ec_is_creation', $ec_is_creation = (
  $ec_default_action == 'duplicate_entry_submit' or
  $ec_default_action == 'duplicate_entry_ask' or
  $ec_default_action == 'create_ask' or
  $ec_default_action == 'create'
));

if ($ec_is_creation) {
  $template->assign('ec_help_banner1', l10n('ec_help_banner1_new_c'));
  $template->assign('ec_help_banner2', l10n('ec_help_banner2_new_c'));
}
else {
  $template->assign('ec_help_banner1', l10n('ec_help_banner1_new_m'));
  $template->assign('ec_help_banner2', l10n('ec_help_banner2_new_m'));
}

$template->assign('ec_hidden_when_no_code',
  (count($ec_lists['duplicable_codes']) == 0) ? 'style = "display:none;"' : ''
);
$template->assign('ec_hidden_when_no_user',
  (count($ec_lists['user_ids']) == 0) ? 'style = "display:none;"' : ''
);
$template->assign('ec_no_assoc', ((pwg_db_num_rows(pwg_query("
  SELECT *
  FROM `".IMAGE_CATEGORY_TABLE."`
"))) == 0));
$template->assign('ec_ap_ok',               defined('ADD_PAGES_TABLE'));
$template->assign('ec_lists',               $ec_lists);
$template->assign('ec_default_entry',       $ec_default_entry);
$template->assign('ec_default_action',      $ec_default_action);
$template->assign('ec_def_auto_code_dg_nb', $ec_def_auto_code_dg_nb);
$template->assign('ec_auto_code_dg_nb',
 $ec_conf_possible_values['auto_code_dg_nb']);

?>